#! /bin/sh
# Run this to generate all the initial makefiles, etc.

package=pigment-python

# change dir if we're not at home (where $0 is):
our_path=$0
our_path=`dirname $our_path`
cd ${our_path}

echo
echo "+ running autoreconf ... "
echo "  autoreconf -v --install"
autoreconf -v --install -Wno-portability || {
        echo "  autoreconf failed"
        exit 1
}

echo
echo "+ running configure ... "
echo "  ./configure external flags: $@"
./configure $CONFIGURE_DEF_OPT "$@" || {
        echo "  configure failed"
        exit 1
}

echo
echo "Now type 'make' to compile $package."
